##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################
include ../Makefile.conf.$(OSTYPE)
include ../Makefile.conf.general

#------------------------------------------------------------------------------

#
# Handling name of the Root Dictionary Files
#
CINT  = Hist

#
#  connect the include files defined in the config.mk file
#
INCLUDES = -I. -I../mbase -I../mhbase -I../mraw -I../manalysis      \
	   -I../mgui -I../mgeom -I../mdata -I../mfilter -I../mimage \
           -I../mmain -I../mmc -I../mreflector -I../mpointing       \
           -I../mastro -I../mpedestal

SRCFILES = MHEvent.cc \
           MHCamEvent.cc \
           MHCamEventRot.cc \
           MHFadcPix.cc \
           MHFadcCam.cc \
           MHStarMap.cc \
           MHEnergyTime.cc \
           MHEnergyTheta.cc \
           MHAlphaEnergyTime.cc \
           MHAlphaEnergyTheta.cc \
           MHBlindPixels.cc \
           MHEffOnTime.cc \
           MHTimeDiffTime.cc \
           MHTimeDiffTheta.cc \
           MHCompProb.cc \
           MHHadronness.cc \
           MHThetabarTime.cc \
           MHThetabarTheta.cc \
           MHGamma.cc \
           MHFalseSource.cc \
           MHFlux.cc \
           MHAlpha.cc \
	   MHSigmaPixel.cc \
	   MHSigmabarTheta.cc \
	   MHSigmaTheta.cc \
	   MHTriggerLvl0.cc \
	   MHOnSubtraction.cc \
	   MHFindSignificance.cc \
	   MHCT1Supercuts.cc \
           MHCamera.cc \
           MHSupercuts.cc 
#           MHCurrents.cc \

############################################################

all: $(OBJS)

include ../Makefile.rules

mrproper:	clean rmbak
